/*
	CSS Reset - zeroes the default margins and paddings added by browser.
*/
* {
	margin: 0;
	padding: 0;
}

body {
	font-family: "Open Sans", sans-serif;
}

nav {
	padding: 0.2rem;
	margin-bottom: .1rem;
	border-bottom: 1px solid gray;
}

nav .nav, nav .nav-logo {
	margin: 0.1rem;
	display: inline;
	
}

/*intro section*/
#intro {
	/*percentage measurements are good practice for mobile responsiveness*/
	padding-left: 10%;
	padding-right: 10%;
	padding-top: 2rem;
	padding-bottom: 3rem;
	text-align: center;
}

.header {
	text-align: center;
}

#intro h2, #intro p {
	margin-bottom: 1rem;
}

#intro button {
	color: white;
	/*fontweight - thickness of text*/
	font-weight: bold;
	background-color: #c2195b;
	border-radius: 25px;
	font-size: 1rem;
	padding: 1rem;
}

/*info section*/

#succeed-info {
	/*
		padding shorthand: 

		padding: x;  all sides
		padding: top x-axis bottom; 3 values
		padding:  y-axis x-axis; 2 values
		padding top right bottom left; 4 values

	*/

	padding: 2rem 10% 3rem;

}

#succeed-info h2 {
	margin-bottom: 1rem;
}

#succeed-info .card {
	display: inline-block;
	/*each card is at least 30% of parent width.*/
	width: 30%;
	margin: 0 .5rem;
	vertical-align: top; /* vertical-align - aligns inline-blocks */
	/*border: 1px solid black;*/
	min-height: 175px;
	/*min-height - minimum height; if content does not reach or exceed height, minheight will be invoked.*/
}

#succeed-info h3 {
	text-align: center;
	margin-bottom: 1rem;
}

/*pre-footer*/
#pre-footer {
	padding: 1rem;
	background-color: #002540;
	color: white;
}

#pre-footer > div {
	display: inline-block;
	width: 20%;
	vertical-align: top;
}

#pre-footer > div > * {
	margin: 0.3rem 0;
}

/*footer*/

footer {
	padding: .7rem;
	text-align: center;
}

footer span {
	margin: 0 .5rem;
}







